%{?nodejs_find_provides_and_requires}

%global packagename arrify
%global github_tag_hash 4576e944677c722c356480b17a6d709d34d0733c
%global enable_tests 0
# Tests are disabled until 'ava' is packaged in Fedora
# See https://bugzilla.redhat.com/show_bug.cgi?id=1194923


Name:		nodejs-arrify
Version:	1.0.0
Release:	1%{?dist}
Summary:	Convert a value to an array

License:	MIT
URL:		https://github.com/sindresorhus/arrify
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# npm registry doesn't contain tests, so get the test file from the github repo
Source1:	https://raw.githubusercontent.com/sindresorhus/arrify/%{github_tag_hash}/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

Requires:	nodejs

%description
Convert a value to an array


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/node test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 22 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
